# eric3.Graphics.UMLWidget

Module implementing the UMLWidget base class.

### Classes

UMLWidget | Class implementing the UMLWidget base class.

### Functions

None

## UMLWidget

Class implementing the UMLWidget base class.

### Derived from

QCanvasRectangle

### Methods

UMLWidget | Constructor
addAssociation | Method to add an association to this widget.
adjustAssociations | Method to adjust the associations to widget movements.
drawSelected | Method to draw the widget as selected.
move | Overriden method to move the widget absolute.
moveBy | Overriden method to move the widget relative.
removeAssociation | Method to remove an association to this widget.
removeAssociations | Method to remove all associations of this widget.

### UMLWidget (Constructor)

UMLWidget(canvas, x=0, y=0, rounded=0)

Constructor

canvas
  canvas containing the class widget (QCanvas)
x
  x-coordinate (integer)
y
  y-coordinate (integer)
rounded
  flag indicating a rounded corner (boolean)

### UMLWidget.addAssociation

addAssociation(assoc)

Method to add an association to this widget.

assoc
  association to be added (AssociationWidget)

### UMLWidget.adjustAssociations

adjustAssociations()

Method to adjust the associations to widget movements.

### UMLWidget.drawSelected

drawSelected(painter, x, y)

Method to draw the widget as selected.

painter
  painter to draw on (QPainter)
x
  x-position (integer)
y
  y-position (integer)

### UMLWidget.move

move(x, y)

Overriden method to move the widget absolute.

dx
  absolute x-position (float)
dy
  absolute y-position (float)

### UMLWidget.moveBy

moveBy(dx, dy)

Overriden method to move the widget relative.

dx
  relative movement in x-direction (float)
dy
  relative movement in y-direction (float)

### UMLWidget.removeAssociation

removeAssociation(assoc)

Method to remove an association to this widget.

assoc
  association to be removed (AssociationWidget)

### UMLWidget.removeAssociations

removeAssociations()

Method to remove all associations of this widget.

Up